summaryrefslogtreecommitdiffstats
path: root/deploy.sh
diff options
context:
space:
mode:
authorRihab Banday <rihab.banday@ericsson.com>2020-07-21 10:49:45 +0000
committerRihab Banday <rihab.banday@ericsson.com>2020-07-29 15:49:40 +0000
commitaf104f92b348c51e20f5fbf3be78f532864804ab (patch)
tree9cd3cac840ad665071fb6d80b6be058ff5f5bbfd /deploy.sh
parentbef45268b994c845859f08b40f276dfeef33276f (diff)
Initial structure for e2e deployment scripting
This patch includes the initial skeleton of the e2e deployment tooling. This is expected to evolve as further development progresses. Change-Id: Ie1e334e672acb2213e8f6c2174506b685f826f98 Signed-off-by: Rihab Banday <rihab.banday@ericsson.com>
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/deploy.sh b/deploy.sh
new file mode 100755
index 0000000..4ecd6c6
--- /dev/null
+++ b/deploy.sh
@@ -0,0 +1,49 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c)
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -o xtrace
+set -o errexit
+set -o nounset
+
+# Script for end to end RI-2 deployment using Infra engine and BMRA.
+# Please refer to README for detailed information.
+
+# Get path information
+DIRECTORY=$(readlink -f $0)
+CURRENTPATH=$(dirname $DIRECTORY)
+
+# Source env variables & functions
+source $CURRENTPATH/deploy.env
+source $CURRENTPATH/functions.sh
+
+# Clean up leftovers
+clean_up
+
+# The next two functions require that you know your pxe network configuration
+# and IP of resulting jumphost VM in advance. This IP/MAC info also then needs to
+# be added in PDF & IDF files (not supported yet via this script)
+# Create jumphost VM & setup PXE network
+create_jump
+setup_PXE_network
+
+# Get IP of the jumphost VM
+get_vm_ip
+
+# Copy files needed by Infra engine & BMRA in the jumphost VM
+copy_files_jump
+
+# Provision remote hosts
+provision_hosts
+
+# Setup networking (Adapt according to your network setup)
+setup_network
+
+# Provision k8s cluster (currently BMRA)
+provision_k8s